searchData={"items":[{"type":"module","title":"Finix","doc":"","ref":"Finix.html"},{"type":"function","title":"Finix.handle_response/2","doc":"","ref":"Finix.html#handle_response/2"},{"type":"function","title":"Finix.request/2","doc":"","ref":"Finix.html#request/2"},{"type":"type","title":"Finix.client_opts/0","doc":"","ref":"Finix.html#t:client_opts/0"},{"type":"type","title":"Finix.req_params/0","doc":"","ref":"Finix.html#t:req_params/0"},{"type":"module","title":"Finix.Authorizations","doc":"# Authorizations\n\nAn Authorization (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days.\n\nWhen an Authorization is captured it produces a Transfer resource.","ref":"Finix.Authorizations.html"},{"type":"function","title":"Finix.Authorizations.capture/3","doc":"Use a PUT request to capture an Authorization. If captured successfully, the transfer field of the Authorization\nwill contain the ID of the Transfer resource that moves funds.","ref":"Finix.Authorizations.html#capture/3"},{"type":"function","title":"Finix.Authorizations.create/2","doc":"Create an Authorization to process a transaction.","ref":"Finix.Authorizations.html#create/2"},{"type":"function","title":"Finix.Authorizations.fetch/2","doc":"Retrieve the details of a previously created Authorization.","ref":"Finix.Authorizations.html#fetch/2"},{"type":"function","title":"Finix.Authorizations.void/2","doc":"Use a PUT request to void an Authorization. If voided successfully, funds get released and the transaction stops from\ncompleting. Additionally, voided Authorization can no longer be captured.","ref":"Finix.Authorizations.html#void/2"},{"type":"module","title":"Finix.Client","doc":"","ref":"Finix.Client.html"},{"type":"function","title":"Finix.Client.new/1","doc":"","ref":"Finix.Client.html#new/1"},{"type":"type","title":"Finix.Client.client_opts/0","doc":"","ref":"Finix.Client.html#t:client_opts/0"},{"type":"type","title":"Finix.Client.req_params/0","doc":"","ref":"Finix.Client.html#t:req_params/0"},{"type":"module","title":"Finix.Enums","doc":"","ref":"Finix.Enums.html"},{"type":"module","title":"Finix.Enums.AddressVerification","doc":"","ref":"Finix.Enums.AddressVerification.html"},{"type":"function","title":"Finix.Enums.AddressVerification.cast/1","doc":"","ref":"Finix.Enums.AddressVerification.html#cast/1"},{"type":"function","title":"Finix.Enums.AddressVerification.dump/1","doc":"","ref":"Finix.Enums.AddressVerification.html#dump/1"},{"type":"function","title":"Finix.Enums.AddressVerification.embed_as/1","doc":"","ref":"Finix.Enums.AddressVerification.html#embed_as/1"},{"type":"function","title":"Finix.Enums.AddressVerification.equal?/2","doc":"","ref":"Finix.Enums.AddressVerification.html#equal?/2"},{"type":"function","title":"Finix.Enums.AddressVerification.load/1","doc":"","ref":"Finix.Enums.AddressVerification.html#load/1"},{"type":"function","title":"Finix.Enums.AddressVerification.type/0","doc":"","ref":"Finix.Enums.AddressVerification.html#type/0"},{"type":"function","title":"Finix.Enums.AddressVerification.valid_value?/1","doc":"","ref":"Finix.Enums.AddressVerification.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.AddressVerification.t/0","doc":"","ref":"Finix.Enums.AddressVerification.html#t:t/0"},{"type":"module","title":"Finix.Enums.BankAccoiuntValidationCheck","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.cast/1","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#cast/1"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.dump/1","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#dump/1"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.embed_as/1","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#embed_as/1"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.equal?/2","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#equal?/2"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.load/1","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#load/1"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.type/0","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#type/0"},{"type":"function","title":"Finix.Enums.BankAccoiuntValidationCheck.valid_value?/1","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.BankAccoiuntValidationCheck.t/0","doc":"","ref":"Finix.Enums.BankAccoiuntValidationCheck.html#t:t/0"},{"type":"module","title":"Finix.Enums.BankAccountType","doc":"","ref":"Finix.Enums.BankAccountType.html"},{"type":"function","title":"Finix.Enums.BankAccountType.cast/1","doc":"","ref":"Finix.Enums.BankAccountType.html#cast/1"},{"type":"function","title":"Finix.Enums.BankAccountType.dump/1","doc":"","ref":"Finix.Enums.BankAccountType.html#dump/1"},{"type":"function","title":"Finix.Enums.BankAccountType.embed_as/1","doc":"","ref":"Finix.Enums.BankAccountType.html#embed_as/1"},{"type":"function","title":"Finix.Enums.BankAccountType.equal?/2","doc":"","ref":"Finix.Enums.BankAccountType.html#equal?/2"},{"type":"function","title":"Finix.Enums.BankAccountType.load/1","doc":"","ref":"Finix.Enums.BankAccountType.html#load/1"},{"type":"function","title":"Finix.Enums.BankAccountType.type/0","doc":"","ref":"Finix.Enums.BankAccountType.html#type/0"},{"type":"function","title":"Finix.Enums.BankAccountType.valid_value?/1","doc":"","ref":"Finix.Enums.BankAccountType.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.BankAccountType.t/0","doc":"","ref":"Finix.Enums.BankAccountType.html#t:t/0"},{"type":"module","title":"Finix.Enums.CardBrand","doc":"","ref":"Finix.Enums.CardBrand.html"},{"type":"function","title":"Finix.Enums.CardBrand.cast/1","doc":"","ref":"Finix.Enums.CardBrand.html#cast/1"},{"type":"function","title":"Finix.Enums.CardBrand.dump/1","doc":"","ref":"Finix.Enums.CardBrand.html#dump/1"},{"type":"function","title":"Finix.Enums.CardBrand.embed_as/1","doc":"","ref":"Finix.Enums.CardBrand.html#embed_as/1"},{"type":"function","title":"Finix.Enums.CardBrand.equal?/2","doc":"","ref":"Finix.Enums.CardBrand.html#equal?/2"},{"type":"function","title":"Finix.Enums.CardBrand.load/1","doc":"","ref":"Finix.Enums.CardBrand.html#load/1"},{"type":"function","title":"Finix.Enums.CardBrand.type/0","doc":"","ref":"Finix.Enums.CardBrand.html#type/0"},{"type":"function","title":"Finix.Enums.CardBrand.valid_value?/1","doc":"","ref":"Finix.Enums.CardBrand.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.CardBrand.t/0","doc":"","ref":"Finix.Enums.CardBrand.html#t:t/0"},{"type":"module","title":"Finix.Enums.CardType","doc":"","ref":"Finix.Enums.CardType.html"},{"type":"function","title":"Finix.Enums.CardType.cast/1","doc":"","ref":"Finix.Enums.CardType.html#cast/1"},{"type":"function","title":"Finix.Enums.CardType.dump/1","doc":"","ref":"Finix.Enums.CardType.html#dump/1"},{"type":"function","title":"Finix.Enums.CardType.embed_as/1","doc":"","ref":"Finix.Enums.CardType.html#embed_as/1"},{"type":"function","title":"Finix.Enums.CardType.equal?/2","doc":"","ref":"Finix.Enums.CardType.html#equal?/2"},{"type":"function","title":"Finix.Enums.CardType.load/1","doc":"","ref":"Finix.Enums.CardType.html#load/1"},{"type":"function","title":"Finix.Enums.CardType.type/0","doc":"","ref":"Finix.Enums.CardType.html#type/0"},{"type":"function","title":"Finix.Enums.CardType.valid_value?/1","doc":"","ref":"Finix.Enums.CardType.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.CardType.t/0","doc":"","ref":"Finix.Enums.CardType.html#t:t/0"},{"type":"module","title":"Finix.Enums.Country","doc":"","ref":"Finix.Enums.Country.html"},{"type":"function","title":"Finix.Enums.Country.cast/1","doc":"","ref":"Finix.Enums.Country.html#cast/1"},{"type":"function","title":"Finix.Enums.Country.dump/1","doc":"","ref":"Finix.Enums.Country.html#dump/1"},{"type":"function","title":"Finix.Enums.Country.embed_as/1","doc":"","ref":"Finix.Enums.Country.html#embed_as/1"},{"type":"function","title":"Finix.Enums.Country.equal?/2","doc":"","ref":"Finix.Enums.Country.html#equal?/2"},{"type":"function","title":"Finix.Enums.Country.load/1","doc":"","ref":"Finix.Enums.Country.html#load/1"},{"type":"function","title":"Finix.Enums.Country.type/0","doc":"","ref":"Finix.Enums.Country.html#type/0"},{"type":"function","title":"Finix.Enums.Country.valid_value?/1","doc":"","ref":"Finix.Enums.Country.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.Country.t/0","doc":"","ref":"Finix.Enums.Country.html#t:t/0"},{"type":"module","title":"Finix.Enums.Currency","doc":"","ref":"Finix.Enums.Currency.html"},{"type":"function","title":"Finix.Enums.Currency.cast/1","doc":"","ref":"Finix.Enums.Currency.html#cast/1"},{"type":"function","title":"Finix.Enums.Currency.dump/1","doc":"","ref":"Finix.Enums.Currency.html#dump/1"},{"type":"function","title":"Finix.Enums.Currency.embed_as/1","doc":"","ref":"Finix.Enums.Currency.html#embed_as/1"},{"type":"function","title":"Finix.Enums.Currency.equal?/2","doc":"","ref":"Finix.Enums.Currency.html#equal?/2"},{"type":"function","title":"Finix.Enums.Currency.load/1","doc":"","ref":"Finix.Enums.Currency.html#load/1"},{"type":"function","title":"Finix.Enums.Currency.type/0","doc":"","ref":"Finix.Enums.Currency.html#type/0"},{"type":"function","title":"Finix.Enums.Currency.valid_value?/1","doc":"","ref":"Finix.Enums.Currency.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.Currency.t/0","doc":"","ref":"Finix.Enums.Currency.html#t:t/0"},{"type":"module","title":"Finix.Enums.ErrorCode","doc":"","ref":"Finix.Enums.ErrorCode.html"},{"type":"function","title":"Finix.Enums.ErrorCode.cast/1","doc":"","ref":"Finix.Enums.ErrorCode.html#cast/1"},{"type":"function","title":"Finix.Enums.ErrorCode.dump/1","doc":"","ref":"Finix.Enums.ErrorCode.html#dump/1"},{"type":"function","title":"Finix.Enums.ErrorCode.embed_as/1","doc":"","ref":"Finix.Enums.ErrorCode.html#embed_as/1"},{"type":"function","title":"Finix.Enums.ErrorCode.equal?/2","doc":"","ref":"Finix.Enums.ErrorCode.html#equal?/2"},{"type":"function","title":"Finix.Enums.ErrorCode.load/1","doc":"","ref":"Finix.Enums.ErrorCode.html#load/1"},{"type":"function","title":"Finix.Enums.ErrorCode.type/0","doc":"","ref":"Finix.Enums.ErrorCode.html#type/0"},{"type":"function","title":"Finix.Enums.ErrorCode.valid_value?/1","doc":"","ref":"Finix.Enums.ErrorCode.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.ErrorCode.t/0","doc":"","ref":"Finix.Enums.ErrorCode.html#t:t/0"},{"type":"module","title":"Finix.Enums.Gateway","doc":"","ref":"Finix.Enums.Gateway.html"},{"type":"function","title":"Finix.Enums.Gateway.cast/1","doc":"","ref":"Finix.Enums.Gateway.html#cast/1"},{"type":"function","title":"Finix.Enums.Gateway.dump/1","doc":"","ref":"Finix.Enums.Gateway.html#dump/1"},{"type":"function","title":"Finix.Enums.Gateway.embed_as/1","doc":"","ref":"Finix.Enums.Gateway.html#embed_as/1"},{"type":"function","title":"Finix.Enums.Gateway.equal?/2","doc":"","ref":"Finix.Enums.Gateway.html#equal?/2"},{"type":"function","title":"Finix.Enums.Gateway.load/1","doc":"","ref":"Finix.Enums.Gateway.html#load/1"},{"type":"function","title":"Finix.Enums.Gateway.type/0","doc":"","ref":"Finix.Enums.Gateway.html#type/0"},{"type":"function","title":"Finix.Enums.Gateway.valid_value?/1","doc":"","ref":"Finix.Enums.Gateway.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.Gateway.t/0","doc":"","ref":"Finix.Enums.Gateway.html#t:t/0"},{"type":"module","title":"Finix.Enums.IdentityRole","doc":"","ref":"Finix.Enums.IdentityRole.html"},{"type":"function","title":"Finix.Enums.IdentityRole.cast/1","doc":"","ref":"Finix.Enums.IdentityRole.html#cast/1"},{"type":"function","title":"Finix.Enums.IdentityRole.dump/1","doc":"","ref":"Finix.Enums.IdentityRole.html#dump/1"},{"type":"function","title":"Finix.Enums.IdentityRole.embed_as/1","doc":"","ref":"Finix.Enums.IdentityRole.html#embed_as/1"},{"type":"function","title":"Finix.Enums.IdentityRole.equal?/2","doc":"","ref":"Finix.Enums.IdentityRole.html#equal?/2"},{"type":"function","title":"Finix.Enums.IdentityRole.load/1","doc":"","ref":"Finix.Enums.IdentityRole.html#load/1"},{"type":"function","title":"Finix.Enums.IdentityRole.type/0","doc":"","ref":"Finix.Enums.IdentityRole.html#type/0"},{"type":"function","title":"Finix.Enums.IdentityRole.valid_value?/1","doc":"","ref":"Finix.Enums.IdentityRole.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.IdentityRole.t/0","doc":"","ref":"Finix.Enums.IdentityRole.html#t:t/0"},{"type":"module","title":"Finix.Enums.IssuerCountry","doc":"","ref":"Finix.Enums.IssuerCountry.html"},{"type":"function","title":"Finix.Enums.IssuerCountry.cast/1","doc":"","ref":"Finix.Enums.IssuerCountry.html#cast/1"},{"type":"function","title":"Finix.Enums.IssuerCountry.dump/1","doc":"","ref":"Finix.Enums.IssuerCountry.html#dump/1"},{"type":"function","title":"Finix.Enums.IssuerCountry.embed_as/1","doc":"","ref":"Finix.Enums.IssuerCountry.html#embed_as/1"},{"type":"function","title":"Finix.Enums.IssuerCountry.equal?/2","doc":"","ref":"Finix.Enums.IssuerCountry.html#equal?/2"},{"type":"function","title":"Finix.Enums.IssuerCountry.load/1","doc":"","ref":"Finix.Enums.IssuerCountry.html#load/1"},{"type":"function","title":"Finix.Enums.IssuerCountry.type/0","doc":"","ref":"Finix.Enums.IssuerCountry.html#type/0"},{"type":"function","title":"Finix.Enums.IssuerCountry.valid_value?/1","doc":"","ref":"Finix.Enums.IssuerCountry.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.IssuerCountry.t/0","doc":"","ref":"Finix.Enums.IssuerCountry.html#t:t/0"},{"type":"module","title":"Finix.Enums.OnboardingState","doc":"","ref":"Finix.Enums.OnboardingState.html"},{"type":"function","title":"Finix.Enums.OnboardingState.cast/1","doc":"","ref":"Finix.Enums.OnboardingState.html#cast/1"},{"type":"function","title":"Finix.Enums.OnboardingState.dump/1","doc":"","ref":"Finix.Enums.OnboardingState.html#dump/1"},{"type":"function","title":"Finix.Enums.OnboardingState.embed_as/1","doc":"","ref":"Finix.Enums.OnboardingState.html#embed_as/1"},{"type":"function","title":"Finix.Enums.OnboardingState.equal?/2","doc":"","ref":"Finix.Enums.OnboardingState.html#equal?/2"},{"type":"function","title":"Finix.Enums.OnboardingState.load/1","doc":"","ref":"Finix.Enums.OnboardingState.html#load/1"},{"type":"function","title":"Finix.Enums.OnboardingState.type/0","doc":"","ref":"Finix.Enums.OnboardingState.html#type/0"},{"type":"function","title":"Finix.Enums.OnboardingState.valid_value?/1","doc":"","ref":"Finix.Enums.OnboardingState.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.OnboardingState.t/0","doc":"","ref":"Finix.Enums.OnboardingState.html#t:t/0"},{"type":"module","title":"Finix.Enums.PayloadType","doc":"","ref":"Finix.Enums.PayloadType.html"},{"type":"function","title":"Finix.Enums.PayloadType.cast/1","doc":"","ref":"Finix.Enums.PayloadType.html#cast/1"},{"type":"function","title":"Finix.Enums.PayloadType.dump/1","doc":"","ref":"Finix.Enums.PayloadType.html#dump/1"},{"type":"function","title":"Finix.Enums.PayloadType.embed_as/1","doc":"","ref":"Finix.Enums.PayloadType.html#embed_as/1"},{"type":"function","title":"Finix.Enums.PayloadType.equal?/2","doc":"","ref":"Finix.Enums.PayloadType.html#equal?/2"},{"type":"function","title":"Finix.Enums.PayloadType.load/1","doc":"","ref":"Finix.Enums.PayloadType.html#load/1"},{"type":"function","title":"Finix.Enums.PayloadType.type/0","doc":"","ref":"Finix.Enums.PayloadType.html#type/0"},{"type":"function","title":"Finix.Enums.PayloadType.valid_value?/1","doc":"","ref":"Finix.Enums.PayloadType.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.PayloadType.t/0","doc":"","ref":"Finix.Enums.PayloadType.html#t:t/0"},{"type":"module","title":"Finix.Enums.PaymentInstrumentType","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.cast/1","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#cast/1"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.dump/1","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#dump/1"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.embed_as/1","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#embed_as/1"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.equal?/2","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#equal?/2"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.load/1","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#load/1"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.type/0","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#type/0"},{"type":"function","title":"Finix.Enums.PaymentInstrumentType.valid_value?/1","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.PaymentInstrumentType.t/0","doc":"","ref":"Finix.Enums.PaymentInstrumentType.html#t:t/0"},{"type":"module","title":"Finix.Enums.PaymentProcessor","doc":"","ref":"Finix.Enums.PaymentProcessor.html"},{"type":"function","title":"Finix.Enums.PaymentProcessor.cast/1","doc":"","ref":"Finix.Enums.PaymentProcessor.html#cast/1"},{"type":"function","title":"Finix.Enums.PaymentProcessor.dump/1","doc":"","ref":"Finix.Enums.PaymentProcessor.html#dump/1"},{"type":"function","title":"Finix.Enums.PaymentProcessor.embed_as/1","doc":"","ref":"Finix.Enums.PaymentProcessor.html#embed_as/1"},{"type":"function","title":"Finix.Enums.PaymentProcessor.equal?/2","doc":"","ref":"Finix.Enums.PaymentProcessor.html#equal?/2"},{"type":"function","title":"Finix.Enums.PaymentProcessor.load/1","doc":"","ref":"Finix.Enums.PaymentProcessor.html#load/1"},{"type":"function","title":"Finix.Enums.PaymentProcessor.type/0","doc":"","ref":"Finix.Enums.PaymentProcessor.html#type/0"},{"type":"function","title":"Finix.Enums.PaymentProcessor.valid_value?/1","doc":"","ref":"Finix.Enums.PaymentProcessor.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.PaymentProcessor.t/0","doc":"","ref":"Finix.Enums.PaymentProcessor.html#t:t/0"},{"type":"module","title":"Finix.Enums.PushToCardSupportCode","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.cast/1","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#cast/1"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.dump/1","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#dump/1"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.embed_as/1","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#embed_as/1"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.equal?/2","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#equal?/2"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.load/1","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#load/1"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.type/0","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#type/0"},{"type":"function","title":"Finix.Enums.PushToCardSupportCode.valid_value?/1","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.PushToCardSupportCode.t/0","doc":"","ref":"Finix.Enums.PushToCardSupportCode.html#t:t/0"},{"type":"module","title":"Finix.Enums.ReadyToSettleUpon","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.cast/1","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#cast/1"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.dump/1","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#dump/1"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.embed_as/1","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#embed_as/1"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.equal?/2","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#equal?/2"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.load/1","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#load/1"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.type/0","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#type/0"},{"type":"function","title":"Finix.Enums.ReadyToSettleUpon.valid_value?/1","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.ReadyToSettleUpon.t/0","doc":"","ref":"Finix.Enums.ReadyToSettleUpon.html#t:t/0"},{"type":"module","title":"Finix.Enums.SecurityCodeVerification","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.cast/1","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#cast/1"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.dump/1","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#dump/1"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.embed_as/1","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#embed_as/1"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.equal?/2","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#equal?/2"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.load/1","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#load/1"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.type/0","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#type/0"},{"type":"function","title":"Finix.Enums.SecurityCodeVerification.valid_value?/1","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.SecurityCodeVerification.t/0","doc":"","ref":"Finix.Enums.SecurityCodeVerification.html#t:t/0"},{"type":"module","title":"Finix.Enums.TransferState","doc":"","ref":"Finix.Enums.TransferState.html"},{"type":"function","title":"Finix.Enums.TransferState.cast/1","doc":"","ref":"Finix.Enums.TransferState.html#cast/1"},{"type":"function","title":"Finix.Enums.TransferState.dump/1","doc":"","ref":"Finix.Enums.TransferState.html#dump/1"},{"type":"function","title":"Finix.Enums.TransferState.embed_as/1","doc":"","ref":"Finix.Enums.TransferState.html#embed_as/1"},{"type":"function","title":"Finix.Enums.TransferState.equal?/2","doc":"","ref":"Finix.Enums.TransferState.html#equal?/2"},{"type":"function","title":"Finix.Enums.TransferState.load/1","doc":"","ref":"Finix.Enums.TransferState.html#load/1"},{"type":"function","title":"Finix.Enums.TransferState.type/0","doc":"","ref":"Finix.Enums.TransferState.html#type/0"},{"type":"function","title":"Finix.Enums.TransferState.valid_value?/1","doc":"","ref":"Finix.Enums.TransferState.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.TransferState.t/0","doc":"","ref":"Finix.Enums.TransferState.html#t:t/0"},{"type":"module","title":"Finix.Enums.TransferSubType","doc":"","ref":"Finix.Enums.TransferSubType.html"},{"type":"function","title":"Finix.Enums.TransferSubType.cast/1","doc":"","ref":"Finix.Enums.TransferSubType.html#cast/1"},{"type":"function","title":"Finix.Enums.TransferSubType.dump/1","doc":"","ref":"Finix.Enums.TransferSubType.html#dump/1"},{"type":"function","title":"Finix.Enums.TransferSubType.embed_as/1","doc":"","ref":"Finix.Enums.TransferSubType.html#embed_as/1"},{"type":"function","title":"Finix.Enums.TransferSubType.equal?/2","doc":"","ref":"Finix.Enums.TransferSubType.html#equal?/2"},{"type":"function","title":"Finix.Enums.TransferSubType.load/1","doc":"","ref":"Finix.Enums.TransferSubType.html#load/1"},{"type":"function","title":"Finix.Enums.TransferSubType.type/0","doc":"","ref":"Finix.Enums.TransferSubType.html#type/0"},{"type":"function","title":"Finix.Enums.TransferSubType.valid_value?/1","doc":"","ref":"Finix.Enums.TransferSubType.html#valid_value?/1"},{"type":"type","title":"Finix.Enums.TransferSubType.t/0","doc":"","ref":"Finix.Enums.TransferSubType.html#t:t/0"},{"type":"module","title":"Finix.Errors","doc":"","ref":"Finix.Errors.html"},{"type":"function","title":"Finix.Errors.changeset/2","doc":"","ref":"Finix.Errors.html#changeset/2"},{"type":"function","title":"Finix.Errors.embedded_changeset/2","doc":"","ref":"Finix.Errors.html#embedded_changeset/2"},{"type":"function","title":"Finix.Errors.error_changeset/2","doc":"","ref":"Finix.Errors.html#error_changeset/2"},{"type":"function","title":"Finix.Errors.links_changeset/2","doc":"","ref":"Finix.Errors.html#links_changeset/2"},{"type":"function","title":"Finix.Errors.source_changeset/2","doc":"","ref":"Finix.Errors.html#source_changeset/2"},{"type":"module","title":"Finix.Errors.Embedded","doc":"","ref":"Finix.Errors.Embedded.html"},{"type":"module","title":"Finix.Errors.Embedded.Error","doc":"","ref":"Finix.Errors.Embedded.Error.html"},{"type":"module","title":"Finix.Errors.Embedded.Error.Links","doc":"","ref":"Finix.Errors.Embedded.Error.Links.html"},{"type":"module","title":"Finix.Errors.Embedded.Error.Links.Source","doc":"","ref":"Finix.Errors.Embedded.Error.Links.Source.html"},{"type":"module","title":"Finix.Identities","doc":"# Identities\n\nAn Identity resource represents either a person or business in Finix. You'll create an Identity to onboard your sellers, and verify the different owners.\n\nSee Finix Indentities API Documentation for more info: https://finix.com/docs/api/tag/Identities/","ref":"Finix.Identities.html"},{"type":"function","title":"Finix.Identities.create/2","doc":"Create an Identity for your seller or buyer.\n\nAll fields for a buyer's Identity are optional.\n\nProviding `business_type` indicates that the Identity is being created for a Merchant.","ref":"Finix.Identities.html#create/2"},{"type":"module","title":"Finix.Links.Link","doc":"","ref":"Finix.Links.Link.html"},{"type":"function","title":"Finix.Links.Link.changeset/2","doc":"","ref":"Finix.Links.Link.html#changeset/2"},{"type":"module","title":"Finix.Merchants","doc":"# Merchants\n\nA Merchant resource represents the entity's merchant account on a processor. You need to create and successfully validate a Merchant before processing any payments for your merchant.\n\nSee Finix Merchants API Documentation for more info: https://finix.com/docs/api/tag/Merchants/","ref":"Finix.Merchants.html"},{"type":"function","title":"Finix.Merchants.create/3","doc":"Create a Merchant to start the underwriting (also called provisioning) process for your seller. Merchants must be created under an Identity.\n\nA bank account must be associated with the previously created Identity before a Merchant can be successfully onboarded and verified.","ref":"Finix.Merchants.html#create/3"},{"type":"function","title":"Finix.Merchants.fetch/2","doc":"Retrieve the details of a Merchant.","ref":"Finix.Merchants.html#fetch/2"},{"type":"module","title":"Finix.PaymentInstruments","doc":"# Payment Instruments\n\nA Payment Instrument resource represents the payment details of a credit card or bank account. Payment details get tokenized multiple times and each tokenization produces a unique Payment Instrument.\nA Payment Instrument is associated with a single Identity. Once a Payment Instrument is created, the Identity it's associated with can't be changed.\nIncluding an address when creating a Payment Instrument can lower interchange on credit card transactions.\n\nSee Finix Payment Instruments API Documentation For More Info: https://finix.com/docs/api/tag/Payment-Instruments/","ref":"Finix.PaymentInstruments.html"},{"type":"function","title":"Finix.PaymentInstruments.create/2","doc":"Create a Payment Instrument resource using a card or bank account.\n\nThe creation of Payment Instruments directly via Finix's API should only be done for testing purposes.\nYou MUST use Finix's hosted fields or the javascript client to remain out of PCI scope.","ref":"Finix.PaymentInstruments.html#create/2"},{"type":"function","title":"Finix.PaymentInstruments.fetch/2","doc":"Retrieve the details of a Payment Instrument.","ref":"Finix.PaymentInstruments.html#fetch/2"},{"type":"function","title":"Finix.PaymentInstruments.verify/3","doc":"Verify a Payment Instrument to determine CVV and AVS results.\n\nYou can also determine Push To Card eligibility for Push To Card customers.","ref":"Finix.PaymentInstruments.html#verify/3"},{"type":"module","title":"Finix.Transfers","doc":"# Transfers\n\nA Transfer represents any flow of funds either to or from a Payment Instrument. All payments in Finix are represented by a Transfer.\n\nSee Finix Transfers API Documentation: https://finix.com/docs/api/tag/Transfers/","ref":"Finix.Transfers.html"},{"type":"function","title":"Finix.Transfers.create/2","doc":"Create a Transfer.","ref":"Finix.Transfers.html#create/2"},{"type":"function","title":"Finix.Transfers.fetch/2","doc":"Retrieve a Transfer.","ref":"Finix.Transfers.html#fetch/2"},{"type":"module","title":"Finix.Utils.RawType","doc":"","ref":"Finix.Utils.RawType.html"},{"type":"function","title":"Finix.Utils.RawType.cast/1","doc":"","ref":"Finix.Utils.RawType.html#cast/1"},{"type":"function","title":"Finix.Utils.RawType.dump/1","doc":"","ref":"Finix.Utils.RawType.html#dump/1"},{"type":"function","title":"Finix.Utils.RawType.embed_as/1","doc":"","ref":"Finix.Utils.RawType.html#embed_as/1"},{"type":"function","title":"Finix.Utils.RawType.equal?/2","doc":"","ref":"Finix.Utils.RawType.html#equal?/2"},{"type":"function","title":"Finix.Utils.RawType.load/1","doc":"","ref":"Finix.Utils.RawType.html#load/1"},{"type":"function","title":"Finix.Utils.RawType.type/0","doc":"","ref":"Finix.Utils.RawType.html#type/0"},{"type":"module","title":"Finix.Verifications","doc":"# Verifications\n\nVerifications are used to verify Identities and Payment Instruments.\n\nFor Identities, a verification represents an attempt to onboard and underwrite an identity.\n\nFor Payment Instruments, a verification represents getting additional information from the card brands to verify a card is eligible for push to card.\n\nSee Finix Verification API Documentation for more info: https://finix.com/docs/api/tag/Payment-Instruments/","ref":"Finix.Verifications.html"},{"type":"function","title":"Finix.Verifications.fetch/2","doc":"Retrieve the details of a Verification.","ref":"Finix.Verifications.html#fetch/2"},{"type":"module","title":"Finix.Authorizations.Authorization.AdditionalBuyerCharges","doc":"","ref":"Finix.Authorizations.Authorization.AdditionalBuyerCharges.html"},{"type":"module","title":"Finix.Authorizations.Authorization.AdditionalPurchaseData","doc":"","ref":"Finix.Authorizations.Authorization.AdditionalPurchaseData.html"},{"type":"module","title":"Finix.Authorizations.Authorization.AdditionalPurchaseData.ItemData","doc":"","ref":"Finix.Authorizations.Authorization.AdditionalPurchaseData.ItemData.html"},{"type":"module","title":"Finix.Authorizations.Authorization.AdditionalPurchaseData.OrderDate","doc":"","ref":"Finix.Authorizations.Authorization.AdditionalPurchaseData.OrderDate.html"},{"type":"module","title":"Finix.Identities.Identity.Entity","doc":"","ref":"Finix.Identities.Identity.Entity.html"},{"type":"module","title":"Finix.Merchants.Merchant.ProcessorDetails","doc":"","ref":"Finix.Merchants.Merchant.ProcessorDetails.html"},{"type":"module","title":"Finix.PaymentInstruments.PaymentInstrument.BankAccount","doc":"","ref":"Finix.PaymentInstruments.PaymentInstrument.BankAccount.html"},{"type":"function","title":"Finix.PaymentInstruments.PaymentInstrument.BankAccount.changeset/2","doc":"","ref":"Finix.PaymentInstruments.PaymentInstrument.BankAccount.html#changeset/2"},{"type":"module","title":"Finix.PaymentInstruments.PaymentInstrument.Card","doc":"","ref":"Finix.PaymentInstruments.PaymentInstrument.Card.html"},{"type":"function","title":"Finix.PaymentInstruments.PaymentInstrument.Card.changeset/2","doc":"","ref":"Finix.PaymentInstruments.PaymentInstrument.Card.html#changeset/2"},{"type":"module","title":"Finix.Transfers.Transfer.AdditionalBuyerCharges","doc":"","ref":"Finix.Transfers.Transfer.AdditionalBuyerCharges.html"},{"type":"module","title":"Finix.Transfers.Transfer.AdditionalPurchaseData","doc":"","ref":"Finix.Transfers.Transfer.AdditionalPurchaseData.html"},{"type":"module","title":"Finix.Transfers.Transfer.AdditionalPurchaseData.ItemData","doc":"","ref":"Finix.Transfers.Transfer.AdditionalPurchaseData.ItemData.html"},{"type":"module","title":"Finix.Transfers.Transfer.AdditionalPurchaseData.OrderDate","doc":"","ref":"Finix.Transfers.Transfer.AdditionalPurchaseData.OrderDate.html"},{"type":"module","title":"Finix.Verifications.Verification.Finix.Verifications.Verification.Message","doc":"","ref":"Finix.Verifications.Verification.Finix.Verifications.Verification.Message.html"},{"type":"module","title":"Finix.Verifications.Verification.PaymentInstrumentVerificationDetails","doc":"","ref":"Finix.Verifications.Verification.PaymentInstrumentVerificationDetails.html"},{"type":"module","title":"Finix.Authorizations.Authorization","doc":"","ref":"Finix.Authorizations.Authorization.html"},{"type":"function","title":"Finix.Authorizations.Authorization.additional_buyer_charges_changeset/2","doc":"","ref":"Finix.Authorizations.Authorization.html#additional_buyer_charges_changeset/2"},{"type":"function","title":"Finix.Authorizations.Authorization.additonal_purchase_data_changeset/2","doc":"","ref":"Finix.Authorizations.Authorization.html#additonal_purchase_data_changeset/2"},{"type":"function","title":"Finix.Authorizations.Authorization.changeset/2","doc":"","ref":"Finix.Authorizations.Authorization.html#changeset/2"},{"type":"function","title":"Finix.Authorizations.Authorization.item_data_changeset/2","doc":"","ref":"Finix.Authorizations.Authorization.html#item_data_changeset/2"},{"type":"function","title":"Finix.Authorizations.Authorization.order_date_changeset/2","doc":"","ref":"Finix.Authorizations.Authorization.html#order_date_changeset/2"},{"type":"module","title":"Finix.Identities.Identity","doc":"","ref":"Finix.Identities.Identity.html"},{"type":"function","title":"Finix.Identities.Identity.changeset/2","doc":"","ref":"Finix.Identities.Identity.html#changeset/2"},{"type":"function","title":"Finix.Identities.Identity.entity_changeset/2","doc":"","ref":"Finix.Identities.Identity.html#entity_changeset/2"},{"type":"module","title":"Finix.Merchants.Merchant","doc":"","ref":"Finix.Merchants.Merchant.html"},{"type":"function","title":"Finix.Merchants.Merchant.changeset/2","doc":"","ref":"Finix.Merchants.Merchant.html#changeset/2"},{"type":"function","title":"Finix.Merchants.Merchant.processor_details_changeset/2","doc":"","ref":"Finix.Merchants.Merchant.html#processor_details_changeset/2"},{"type":"module","title":"Finix.PaymentInstruments.PaymentInstrument","doc":"","ref":"Finix.PaymentInstruments.PaymentInstrument.html"},{"type":"module","title":"Finix.Transfers.Transfer","doc":"","ref":"Finix.Transfers.Transfer.html"},{"type":"function","title":"Finix.Transfers.Transfer.additional_buyer_charges_changeset/2","doc":"","ref":"Finix.Transfers.Transfer.html#additional_buyer_charges_changeset/2"},{"type":"function","title":"Finix.Transfers.Transfer.additonal_purchase_data_changeset/2","doc":"","ref":"Finix.Transfers.Transfer.html#additonal_purchase_data_changeset/2"},{"type":"function","title":"Finix.Transfers.Transfer.changeset/2","doc":"","ref":"Finix.Transfers.Transfer.html#changeset/2"},{"type":"function","title":"Finix.Transfers.Transfer.item_data_changeset/2","doc":"","ref":"Finix.Transfers.Transfer.html#item_data_changeset/2"},{"type":"function","title":"Finix.Transfers.Transfer.order_date_changeset/2","doc":"","ref":"Finix.Transfers.Transfer.html#order_date_changeset/2"},{"type":"module","title":"Finix.Verifications.Verification","doc":"","ref":"Finix.Verifications.Verification.html"},{"type":"function","title":"Finix.Verifications.Verification.changeset/2","doc":"","ref":"Finix.Verifications.Verification.html#changeset/2"},{"type":"function","title":"Finix.Verifications.Verification.message_changeset/2","doc":"","ref":"Finix.Verifications.Verification.html#message_changeset/2"},{"type":"function","title":"Finix.Verifications.Verification.payment_instrument_verification_details_changeset/2","doc":"","ref":"Finix.Verifications.Verification.html#payment_instrument_verification_details_changeset/2"},{"type":"exception","title":"Finix.InvalidPasswordError","doc":"","ref":"Finix.InvalidPasswordError.html"},{"type":"type","title":"Finix.InvalidPasswordError.t/0","doc":"","ref":"Finix.InvalidPasswordError.html#t:t/0"},{"type":"exception","title":"Finix.InvalidUsernameError","doc":"","ref":"Finix.InvalidUsernameError.html"},{"type":"type","title":"Finix.InvalidUsernameError.t/0","doc":"","ref":"Finix.InvalidUsernameError.html#t:t/0"},{"type":"extras","title":"Finix","doc":"# Finix\n\n<!-- MDOC !-->\n\n[Finix](https://finix.com/) API client library for Elixir. For more information on the Finix API check the [Finix Documentation](https://finix.com/docs/guides/getting-started/).","ref":"readme.html"},{"type":"extras","title":"Authentication - Finix","doc":"You can find your api keys on your [Developer Dashboard](https://finix.payments-dashboard.com/Dashboard/). See [Usage](#usage) for implementation details.","ref":"readme.html#authentication"},{"type":"extras","title":"Usage - Finix","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"License - Finix","doc":"MIT License\n\nCopyright (c) 2024 Kody Berry\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"readme.html#license"},{"type":"extras","title":"The MIT License","doc":"# The MIT License\n\nCopyright (c) 2024 Kody Berry\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}